Linux

Как установить Metasploit на Ubuntu 18.04

Metasploit является одним из важнейших и необходимых инструментов для тестировщика на проникновения. Это руководство научит вас, как установить Metasploit Framework на Ubuntu 18.04. Вы также установите и настроите RVM и Postgres.

Установка зависимостей Metasploit

Ниже приведен список зависимостей, которые также можно найти на странице Rapid7 GitHub: настройка среды разработки Metasploit.

sudo apt-get install gpgv2 autoconf bison build-essential curl git-core libapr1 libaprutil1 libcurl4-openssl-dev libgmp3-dev libpcap-dev libpq-dev libreadline6-dev libsqlite3-dev libssl-dev libsvn1 libtool libxml2 libxml2-dev libxslt-dev libyaml-dev locate ncurses-dev openssl postgresql postgresql-contrib wget xsel zlib1g zlib1g-dev

Настройка базы данных Postgres

Чтобы получить максимальную функциональность после установки Metasploit Framework, необходимо правильно настроить базу данных Postgres. Это позволяет ускорить поиск, а также множество отличных функций для отчетности и организации результатов тестирования на проникновение. Вот как настроить базу данных Postgres после установки Metasploit Framework.

Переход к учетной записи пользователя postgres:

sudo su postgres

Создание роли postgres для Metasploit:

createuser msfuser-S-R-P

Создание базы данных:

createdb msfdb - o msfuser

Выход из учетной записи пользователя postgres:

exit

Включить автоматический запуск Postgres:

sudo update-rc.d postgresql enable

Установка и настройка RVM

RVM рекомендуется Rapid7 для ручной установки Metasploit Framework. Следующие шаги должны быть все, что вам нужно, чтобы встать и работать. Проверьте официальную документацию RVM для получения дополнительной информации и помощи по устранению неполадок.

Установка открытых ключей:

gpg --keyserver hkp://pool.sks-keyservers.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB

Установка RVM:

\curl -sSL https://get.rvm.io | bash -s stable --ruby

Перейдите в новый каталог:

cd metasploit-framework/

Установите необходимую версию Ruby:

rvm --install .ruby-version

Установите Комплект Gem:

gem install bundler

Установите необходимые Ruby Gems:

bundle install

Запустите Metasploit:

./msfconsole

Настройка Metasploit & Postgres

Создайте файл под названием “database.yml” внутри “~/.msf4/” каталог и вставте содержимое ниже. Убедитесь, что вы правильно изменили пароль.

# Development Database
development: &pgsql
  adapter: postgresql
  database: msfdb
  username: msfuser
  password: [PASSWORD]
  host: localhost
  port: 5432
  pool: 5
  timeout: 5

# Production database -- same as dev
production: &production
  <<: *pgsql

# Test database -- not the same, since it gets dropped all the time
test:
  <<: *pgsql
  database: msfdb

Надеюсь, все прошло гладко для вас, и теперь вы должны работать с Metasploit Framework в Ubuntu 18.04. 


Proxy White Advertisement

nelus

Программист, SEO специалист, GEEK, увлекаюсь новостями из мира IT и безопасностью программного обеспечения.

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *

Back to top button
Close